print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricecement = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local cementHudFile = "Paletten/hud_fill_cement.dds"
	local cementHudFileSmall = "Paletten/hud_fill_cement_small.dds"
	
    local cementFilType = g_fillTypeManager:addFillType("CEMENT", g_i18n:getText("cement"), true, pricecement * 0.3, 0.00045, math.rad(10), cementHudFile, cementHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hascement=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hascement=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "CEMENT" then
		hascement=true
	end;
		
end;

		if hasmaize and not hascement then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("CEMENT")
		local price = g_fillTypeManager:getFillTypeByName("CEMENT").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("CEMENT")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)